/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */

#include "Primitives/VAD/InworldVADTypes.h"

#include "InworldRuntimeTypes.h"
#include "InworldRuntimeUtils.h"

THIRD_PARTY_INCLUDES_START
#include "InworldRuntimeLibrary/inworld.h"
THIRD_PARTY_INCLUDES_END

DEFINE_LOG_CATEGORY(LogInworldVAD);

namespace inworld
{

void Convert(const FInworldVADCreationConfig& In, inworld::LocalVADConfig& Out)
{
#if defined(INWORLD_IMPLEMENTATION)
	Out.model_path({TCHAR_TO_UTF8(*GetInworldExtrasPath("vad", "silero", "silero_vad.onnx"))});
#endif
}

}	 // namespace inworld
